### Method

# FwupdPlugin Device get_alternate_id

since: 1.1.0

#### Declaration [src]

    const gchar*
    fu_device_get_alternate_id (
      FuDevice* self
    )

#### Description [src]

Gets any alternate device ID. An alternate device may be linked to the primary device in some way.

Available since: 1.1.0

#### Return value

Type: `const gchar*`

A device or `NULL`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.